GisViewerParameters (GIS Viewer Widget 3.5.0-SNAPSHOT API)
Date: 2014-09-04

org.gcube.portlets.user.gisviewer.client

## Class GisViewerParameters

- java.lang.Object
- - org.gcube.portlets.user.gisviewer.client.GisViewerParameters

-     public class GisViewerParameters
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GisViewerParameters()`
    `GisViewerParameters(String projection, String openingGroup, List<String> openingLayers, GisViewerSaveHandler gisViewerSaveHandler)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataPanelOpenListener` | `getDataPanelOpenHandler()`
    `GisViewerSaveHandler` | `getGisViewerSaveHandler()`
    `String` | `getOpeningGroup()`
    `List<String>` | `getOpeningLayers()`
    `String` | `getProjection()`
    `boolean` | `isOpenDataPanelAtStart()`
    `void` | `setDataPanelOpenListener(DataPanelOpenListener dataPanelOpenHandler)`
    `void` | `setGisViewerSaveHandler(GisViewerSaveHandler gisViewerSaveHandler)`
    `void` | `setOpenDataPanelAtStart(boolean openDataPanelAtStart)`
    `void` | `setOpeningGroup(String groupName)`
    `void` | `setOpeningLayers(List<String> layers)`
    `void` | `setOpeningLayers(String[] layers)`
    `void` | `setProjection(String projection)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GisViewerParameters

          public GisViewerParameters()

    - #### GisViewerParameters

          public GisViewerParameters(String projection,
                             String openingGroup,
                             List<String> openingLayers,
                             GisViewerSaveHandler gisViewerSaveHandler)

      Parameters:
        `projection` -
        `groupName` -
        `layers` -
        `gisViewerSaveHandler` -

  - ### Method Detail

    - #### setProjection

          public void setProjection(String projection)

    - #### setOpeningGroup

          public void setOpeningGroup(String groupName)

    - #### setOpeningLayers

          public void setOpeningLayers(List<String> layers)

    - #### setOpeningLayers

          public void setOpeningLayers(String[] layers)

    - #### getProjection

          public String getProjection()

    - #### getOpeningGroup

          public String getOpeningGroup()

    - #### getOpeningLayers

          public List<String> getOpeningLayers()

    - #### setGisViewerSaveHandler

          public void setGisViewerSaveHandler(GisViewerSaveHandler gisViewerSaveHandler)

    - #### getGisViewerSaveHandler

          public GisViewerSaveHandler getGisViewerSaveHandler()

    - #### isOpenDataPanelAtStart

          public boolean isOpenDataPanelAtStart()

      Returns:
        the openDataPanelAtStart

    - #### setOpenDataPanelAtStart

          public void setOpenDataPanelAtStart(boolean openDataPanelAtStart)

      Parameters:
        `openDataPanelAtStart` - the openDataPanelAtStart to set

    - #### setDataPanelOpenListener

          public void setDataPanelOpenListener(DataPanelOpenListener dataPanelOpenHandler)

      Parameters:
        `dataPanelOpenHandler` - the dataPanelOpenHandler to set

    - #### getDataPanelOpenHandler

          public DataPanelOpenListener getDataPanelOpenHandler()

      Returns:
        the dataPanelOpenHandler

Copyright © 2014. All Rights Reserved.